Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io.warc
Class WARCWriterPool

    java.lang.Object
      org.archive.io.WriterPool
          org.archive.io.warc.WARCWriterPool

    public class WARCWriterPool

extends WriterPool

A pool of WARCWriters.

Version:
  $Revision: 4566 $ $Date: 2006-08-31 09:51:41 -0700 (Thu, 31 Aug 2006) $
Author:
  stack

Field Summary

Fields inherited from class org.archive.io.WriterPool
`DEFAULT_MAX_ACTIVE, DEFAULT_MAXIMUM_WAIT, NO_MAX_IDLE`

Constructor Summary
`WARCWriterPool(java.util.concurrent.atomic.AtomicInteger serial, WriterPoolSettings settings, int poolMaximumActive, int poolMaximumWait)` Constructor
`WARCWriterPool(WriterPoolSettings settings, int poolMaximumActive, int poolMaximumWait)` Constructor

Method Summary

Methods inherited from class org.archive.io.WriterPool
`borrowFile, close, getNumActive, getNumIdle, getPoolState, getPoolState, getSerialNo, getSettings, invalidateFile, returnFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WARCWriterPool

    public WARCWriterPool(WriterPoolSettings settings,
                          int poolMaximumActive,
                          int poolMaximumWait)

  Constructor

  Parameters:
    `settings` - Settings for this pool.
    `poolMaximumActive` -
    `poolMaximumWait` -

### WARCWriterPool

    public WARCWriterPool(java.util.concurrent.atomic.AtomicInteger serial,
                          WriterPoolSettings settings,
                          int poolMaximumActive,
                          int poolMaximumWait)

  Constructor

  Parameters:
    `serial` - Used to generate unique filename sequences
    `settings` - Settings for this pool.
    `poolMaximumActive` -
    `poolMaximumWait` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.